import dao from "./index";

export default dao.create({
  findByAll: {
    url: "/design/component/componentGroup/byAll"
  },
  findByCondition: {
    url: "/design/component/componentGroup/byCondition",
    method: "POST"
  },
  findDetailAll: {
    url: "/design/component/componentGroup/findDetailAll"
  },
  create: {
    url: "/design/component/componentGroup/creating",
    method: "POST",
    notify: "组件组创建",
  },
  edit: {
    url: "/design/component/componentGroup/updating",
    method: "POST",
    notify: "组件组修改",
  },
  delete: {
    url: "/design/component/componentGroup/deleting",
    notify: "组件组删除",
  },
  queryComponentTree: {
    url: "/design/component/componentGroup/queryComponentTree",
  },
  componentExport: {
    url: "/design/component/componentGroup/componentExport",
      method: "POST",
    notify: "组件导出",
  },
    componentImport: {
    url: "/design/component/componentGroup/componentImport",
        method: "POST",
    notify: "组件导入",
  }
});
