import dao from "../index";

export default dao.create({
  findByAll: {
    url: "/design/rule/parameterLibrary/byCondition",
    method: "POST"
  },
  findByCondition: {
    url: "/design/rule/parameterLibrary/byCondition",
    method: "POST"
  },
  create: {
    url: "/design/rule/parameterLibrary/creating",
    method: "POST",
    notify: "参数分类创建"
  },
  edit: {
    url: "/design/rule/parameterLibrary/updating",
    method: "POST",
    notify: "参数分类编辑"
  },
  delete: {
    url: "/design/rule/parameterLibrary/deleting",
    notify: "参数分类删除"
  },
  getVariable: {
    url: "/design/rule/parameterLibrary/parameterTree"
  }
});
