import dao from "../index";

export default dao.create({
  findByPage: {
    url: "/design/rule/ruleScript/byPage",
    method: "POST"
  },
  findByCondition: {
    url: "/design/rule/ruleScript/byCondition",
    method: "POST"
  },
  create: {
    url: "/design/rule/ruleScript/creating",
    method: "POST",
    notify: "规则创建"
  },
  edit: {
    url: "/design/rule/ruleScript/updating",
    method: "POST",
    notify: "规则编辑"
  },
  delete: {
    url: "/design/rule/ruleScript/deleting",
    notify: "规则删除"
  },
  releaseScript: {
    url: "/design/rule/ruleScript/releaseScript",
    method: "POST",
    notify: "脚本保存"
  },
  publish: {
    url: "/design/rule/ruleScript/buildAndRelease",
    notify: "发布"
  }
});
