import dao from "./index";

export default dao.create({
  findByAll: {
    url: "/design/component/resourceGroup/byAll"
  },
  findByCondition: {
    url: "/design/component/resourceGroup/byCondition",
    method: "POST"
  },
  create: {
    url: "/design/component/resourceGroup/creating",
    method: "POST",
    notify: "资源分类创建",
  },
  edit: {
    url: "/design/component/resourceGroup/updating",
    method: "POST",
    notify: "资源分类编辑",
  },
  delete: {
    url: "/design/component/resourceGroup/deleting",
    notify: "资源分类删除",
  }
});
