import dao from "./index";

export default dao.create({
  findByAll: {
    url: "/design/component/templateGroup/byAll"
  },
  findByCondition: {
    url: "/design/component/templateGroup/byCondition",
    method: "POST"
  },
  findDetailAll: {
    url: "/design/component/templateGroup/findDetailAll"
  },
  create: {
    url: "/design/component/templateGroup/creating",
    method: "POST",
    notify: "模板组创建",
  },
  edit: {
    url: "/design/component/templateGroup/updating",
    method: "POST",
    notify: "模板组修改",
  },
  delete: {
    url: "/design/component/templateGroup/deleting",
    notify: "模板组删除",
  },
    queryTemplateTree: {
        url: "/design/component/templateGroup/queryTemplateTree",
    },
    templateExport: {
        url: "/design/component/templateGroup/templateExport",
        method: "POST",
        notify: "模板导出",
    },
    templateImport: {
        url: "/design/component/templateGroup/templateImport",
        method: "POST",
        notify: "模板导入",
    }
});
