import dao from "./index";

export default dao.create({
  findByPage: {
    url: "/design/component/templateVersion/byPage",
    method: "POST"
  },
  findJson: {
    url: "/design/component/templateVersion/findJson"
  },
  create: {
    url: "/design/component/templateVersion/creating",
    method: "POST",
    notify: "模板版本创建"
  },
  edit: {
    url: "/design/component/templateVersion/updating",
    method: "POST",
    notify: "模板版本编辑"
  },
  delete: {
    url: "/design/component/templateVersion/deleting",
    notify: "模板版本删除"
  }
});
