import dao from "../index";

export default dao.create({
  findByAll: {
    url: "/design/console/repomodulerestserver/byCondition",
    method: "POST"
  },
  create: {
    url: "/design/console/repomodulerestserver/uploadJar",
    method: "POST",
    notify: "动作分类创建"
  },
  findByCondition: {
    url: "/design/console/repomodulerestserver/byCondition",
    method: "POST"
  },
  edit: {
    url: "/design/console/repomodulerestserver/updating",
    method: "POST",
    notify: "动作分类编辑"
  },
  delete: {
    url: "/design/console/repomodulerestserver/deleteJar",
    notify: "动作分类删除"
  },
  getActions: {
    url: "/design/console/repomodulerestserver/getActions",
    method: "POST",
    notify: "同步action"
  },
  online: {
    url: "/design/console/repomodulerestserver/online",
    notify: "上线"
  },
  offline: {
    url: "/design/console/repomodulerestserver/offline",
    notify: "下线"
  }
});
