import dao from "../index";

export default dao.create({
  findByPage: {
    url: "/design/rule/constantLibraryParam/byPage",
    method: "POST"
  },
  findByCondition: {
    url: "/design/rule/constantLibraryParam/byCondition",
    method: "POST"
  },
  create: {
    url: "/design/rule/constantLibraryParam/creating",
    method: "POST",
    notify: "常量创建"
  },
  edit: {
    url: "/design/rule/constantLibraryParam/updating",
    method: "POST",
    notify: "常量编辑"
  },
  delete: {
    url: "/design/rule/constantLibraryParam/deleting",
    notify: "常量删除"
  }
});
