import dao from "../index";

export default dao.create({
  findByAll: {
    url: "/design/rule/constantLibrary/byCondition",
    method: "POST"
  },
  findByCondition: {
    url: "/design/rule/constantLibrary/byCondition",
    method: "POST"
  },
  create: {
    url: "/design/rule/constantLibrary/creating",
    method: "POST",
    notify: "常量分类创建"
  },
  edit: {
    url: "/design/rule/constantLibrary/updating",
    method: "POST",
    notify: "常量分类编辑"
  },
  delete: {
    url: "/design/rule/constantLibrary/deleting",
    notify: "常量分类删除"
  },
  getConstant: {
    url: "/design/rule/constantLibrary/constantTree"
  }
});
